package util

import (
	"errors"
	"path/filepath"
	"strings"
)

func ValidateFilename(filename string) error {
	switch filepath.Ext(strings.ToLower(filename)) {
	case ".pdf", ".doc", ".jpg", ".gif", ".png", ".jpeg",
		".docx", ".xls", ".xlsx", ".zip", ".rar", ".7z", ".txt",
		// 支持 iOS 的 HEIC 格式
		".heic", ".heif", "png":
		return nil
	default:
		return errors.New("扩展名不支持")
	}
}
